[global]
  load printers = no
  printable = no
  log file = /var/log/samba/log.smbd
  max log size = 50
  deadtime = 30
  enable core files = no
  security = user
  encrypt passwords = yes
  passdb backend = smbpasswd:/etc/samba/smbpasswd  
  create mask = 0775
  force create mode = 0775
  directory mask = 0775
  force directory mode = 0775
  local master = yes
  domain master = no
  preferred master = auto
  os level = 5
  use sendfile = yes
  dns proxy = no
  idmap uid = 10000-65000
  idmap gid = 10000-65000
  admin users =
  null passwords = yes
  map to guest = bad user
  guest account = nobody
  force group = share
  unix extensions = no  
  acl check permissions = false
  browseable = yes
  syslog = 1
  socket options = TCP_NODELAY IPTOS_LOWDELAY SO_RCVBUF=2048000 SO_SNDBUF=2048000
  min receivefile size = 16384
  smb encrypt = disabled
  writeable = yes
  delete veto files = true
  
  ## Note: be careful when setting "dos filemode=yes".  We have seen where Samba does not 
  ## handle this properly (and crashes) upon a rename of a file where the authenticated user is not the owner.
  ##dos filemode = yes
  
  max protocol = SMB3
  smb2 leases = yes
  fruit:copyfile= yes

